Bug 1110723 (CVE-2014-0477) - CVE-2014-0477 perl-Email-Address: Denial-of-Service in Email::Address::parse
Summary: CVE-2014-0477 perl-Email-Address: Denial-of-Service in Email::Address::parse
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2014-0477
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1110724 1110725 1110726
Blocks: 1116708
TreeView+ depends on / blocked
 
Reported: 2014-06-18 10:41 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:18 UTC (History)
5 users (show)

Fixed In Version: perl-Email-Address 1.905
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-20 17:02:28 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2014-06-18 10:41:39 UTC
It was discovered [1] that there's a denial of service vulnerability in Email::Address, a Perl module for RFC 2822 address parsing and creation [2]. Email::Address::parse uses significant time on parsing empty quoted string, as allowed by RFC 2822.

Suggested fix was applied upstream as [3] contained in a new upstream version 1.905 [4] which contain additional commits [5] to avoid slowdowns.

[1] http://seclists.org/oss-sec/2014/q2/563
[2] https://metacpan.org/release/Email-Address
[3] https://github.com/rjbs/Email-Address/commit/83f8306
[4] https://metacpan.org/release/RJBS/Email-Address-1.905
[5] https://github.com/rjbs/Email-Address/blob/432d10e/Changes

Comment 1 Vasyl Kaigorodov 2014-06-18 10:42:34 UTC
Created perl-Email-Address tracking bugs for this issue:

Affects: fedora-all [bug 1110724]
Affects: epel-5 [bug 1110725]
Affects: epel-6 [bug 1110726]

Comment 2 Vincent Danen 2014-06-20 15:49:30 UTC
External References:

(none)

Comment 3 Fedora Update System 2014-09-26 09:00:54 UTC
perl-Email-Address-1.905-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2014-09-26 09:03:05 UTC
perl-Email-Address-1.905-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-09-26 17:01:05 UTC
perl-Email-Address-1.905-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-09-26 17:01:28 UTC
perl-Email-Address-1.905-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Vincent Danen 2015-01-20 17:02:03 UTC
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.